%define svn	0
%define rel	1
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%{name}-%{svn}.tar.xz
%define dirname		%{name}
%else
%define release		%mkrel %rel
%define distname	%{name}-%{version}.tar.xz
%define dirname		%{name}-%{version}
%endif

Summary:	Simple Bittorrent client
Name:		transmission
Version:	2.03
Release:	%{release}
Source0:	http://download.m0k.org/transmission/files/%{distname}
Patch0:		use-system-libevent-fix-optflags-patch
License:	MIT and GPLv2
Group:		Networking/File transfer
URL:		http://www.transmissionbt.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+2-devel
BuildRequires:	qt4-devel
BuildRequires:	bzip2
BuildRequires:	openssl-devel
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	libcurl-devel
BuildRequires:	libnotify-devel
BuildRequires:	libevent-devel
BuildRequires:	intltool

%description
Transmission is a free, lightweight BitTorrent client. It features a 
simple, intuitive interface on top of an efficient back-end.

%package common
Summary:	Common files for Transmission Bittorrent client
Group:		Networking/File transfer
Conflicts:	transmission < 1.74

%description common
Transmission is a free, lightweight BitTorrent client. This package
contains the common files used by the different front-ends.


%package cli
Summary:	Command line interface for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{version}
Conflicts:	transmission < 1.74

%description cli
Transmission is a free, lightweight BitTorrent client. This package
contains the command line interface front-end.


%package gtk
Summary:	GTK Interface for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{version}
Provides:	%{name} = %{version}-%{release}
Provides:	%{name}-gui = %{version}-%{release}
Obsoletes:	transmission < 1.74-1
# Old, unmaintained clients that used old wx: transmission is as good
# an upgrade path as any - AdamW 2008/12
Obsoletes:	BitTornado <= 0:0.3.18-4
Obsoletes:	bittorrent-gui <= 5.2.2-3

%description gtk
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top of an efficient back-end.

This package provides the GTK Interface.


%package qt4
Summary:	Qt4 Interface for Transmission BitTorrent client
Group:		Networking/File transfer
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name}-common = %{version}

%description qt4
Transmission is a simple BitTorrent client. It features a very simple,
intuitive interface (gui and command-line) on top on an efficient,
cross-platform back-end.

This package contains QTransmission, a QT4 based GUI for Transmission
loosely based on the GTK+ client.


%package daemon
Summary:	Qt4 Interface for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{version}

%description daemon
Transmission is a simple BitTorrent client. It features a very simple,
intuitive interface (gui and command-line) on top on an efficient,
cross-platform back-end.

This package contains the transmission-daemon.


%prep
%setup -q -n %{dirname}
%patch0 -p1

%build
%configure2_5x
%make

#QT Gui
pushd qt
%qmake_qt4 qtr.pro
%make
popd

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 48 %{buildroot}/usr/share/pixmaps/transmission.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png 
convert -scale 32 %{buildroot}/usr/share/pixmaps/transmission.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{buildroot}/usr/share/pixmaps/transmission.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

#Qt Gui Installation
pushd qt
INSTALL_ROOT=%{buildroot}%{_prefix} make install
popd

# Creating the desktop file for qt4 gui based on the GTK one
sed -e 's,Exec=transmission,Exec=qtr,g' -e 's,GTK,Qt,g' < %{buildroot}/%{_datadir}/applications/%{name}.desktop > %{buildroot}/%{_datadir}/applications/mandriva-%{name}-qtr.desktop

%clean
rm -rf %{buildroot}

%files common
%defattr(-,root,root)
%doc README NEWS AUTHORS
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/*

%files cli
%defattr(-,root,root)
%{_bindir}/%{name}cli
%{_bindir}/%{name}-remote
%{_mandir}/man1/transmission-remote.1*
%{_mandir}/man1/transmissioncli.1*

%files daemon
%defattr(-,root,root)
%{_bindir}/transmission-daemon
%{_mandir}/man1/transmission-daemon.1*

%files gtk -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/transmission.1*

%files qt4
%defattr(-,root,root)
%{_bindir}/qtr
%{_datadir}/applications/mandriva-%{name}-qtr.desktop


%changelog
* Wed Jul 28 2010 Thomas Backlund <tmb@mandriva.org> 2.03-1mdv2010.1
+ Revision: 562781
- update to 2.03

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 1.92-1mdv2010.1
+ Revision: 535559
- Update to new version 1.92 (fixes CVE-2010-0748, CVE-2010-0749)

* Tue Apr 06 2010 Funda Wang <fwang@mandriva.org> 1.91-5mdv2010.1
+ Revision: 531919
- rebuild for new openssl

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1.91-4mdv2010.1
+ Revision: 511646
- rebuilt against openssl-0.9.8m

* Thu Feb 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.91-3mdv2010.1
+ Revision: 511198
- rebuild
- really link against system libevent (fedora)

* Mon Feb 22 2010 Frederik Himpe <fhimpe@mandriva.org> 1.91-1mdv2010.1
+ Revision: 509634
- update to new version 1.91

* Tue Feb 16 2010 Frederik Himpe <fhimpe@mandriva.org> 1.90-1mdv2010.1
+ Revision: 506880
- update to new version 1.90

* Fri Jan 29 2010 Frederik Himpe <fhimpe@mandriva.org> 1.83-1mdv2010.1
+ Revision: 498285
- update to new version 1.83

* Sat Jan 23 2010 Frederik Himpe <fhimpe@mandriva.org> 1.82-1mdv2010.1
+ Revision: 495313
- update to new version 1.82

* Thu Jan 21 2010 Frederik Himpe <fhimpe@mandriva.org> 1.80-1mdv2010.1
+ Revision: 494626
- update to new version 1.80

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 1.77-1mdv2010.1
+ Revision: 486804
- update to new version 1.77

* Wed Dec 16 2009 Ahmad Samir <ahmadsamir@mandriva.org> 1.76-2mdv2010.1
+ Revision: 479607
- rebuild for new qt

* Fri Nov 06 2009 Frederik Himpe <fhimpe@mandriva.org> 1.76-1mdv2010.1
+ Revision: 462058
- Update to new version 1.76

* Tue Sep 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.75-1mdv2010.0
+ Revision: 443184
- Update to new version 1.75

  + John Balcaen <mikala@mandriva.org>
    - Fix .desktop file for Qt4 Gui

* Wed Aug 26 2009 Frederik Himpe <fhimpe@mandriva.org> 1.74-3mdv2010.0
+ Revision: 421527
- Fix provides

* Tue Aug 25 2009 Frederik Himpe <fhimpe@mandriva.org> 1.74-2mdv2010.0
+ Revision: 421290
- Fix rpmlint warnings (mix of tables and spaces, missing colon in provides,
  missing defattr)
- Let gtk and qt4 subpackages provide virtual gui subpackage
- Use tabs in SPEC file

* Tue Aug 25 2009 Frederik Himpe <fhimpe@mandriva.org> 1.74-1mdv2010.0
+ Revision: 421285
- Build QT4 GUI and split package in gtk, cli, qt4, daemon and common
  subpackages (based on work from John Balcaen)
- Remove old pre-2009.0 compatibiliyt %%post and %%postun scripts
- Remove provides for bittorrent-gui and BitTornado: nothing in the
  distro requires them anymore
- Update to new version 1.74

* Sun Jul 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1.73-1mdv2010.0
+ Revision: 397928
- update to new version 1.73

* Wed Jun 17 2009 Frederik Himpe <fhimpe@mandriva.org> 1.72-1mdv2010.0
+ Revision: 386790
- update to new version 1.72

* Mon Jun 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1.71-2mdv2010.0
+ Revision: 384105
- update to new version 1.71

* Fri Jun 05 2009 Frederik Himpe <fhimpe@mandriva.org> 1.70-1mdv2010.0
+ Revision: 383116
- Update to new version 1.70
- Build with system libevent

* Tue May 12 2009 Funda Wang <fwang@mandriva.org> 1.61-1mdv2010.0
+ Revision: 374891
- New version 1.61

* Tue May 05 2009 Frederik Himpe <fhimpe@mandriva.org> 1.60-1mdv2010.0
+ Revision: 372222
- update to new version 1.60

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1.52-1mdv2010.0
+ Revision: 370254
- update to new version 1.52

* Sat Feb 28 2009 Frederik Himpe <fhimpe@mandriva.org> 1.51-1mdv2009.1
+ Revision: 345849
- update to new version 1.51

* Sat Feb 14 2009 Frederik Himpe <fhimpe@mandriva.org> 1.50-1mdv2009.1
+ Revision: 340289
- update to new version 1.50

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 1.42-3mdv2009.1
+ Revision: 319992
- obsolete bittorrent-gui too

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 1.42-2mdv2009.1
+ Revision: 319984
- obsolete BitTornado (I'm cleaning up wxpython2.6 stuff and this is as good an
  upgrade path as any)

* Thu Dec 25 2008 Frederik Himpe <fhimpe@mandriva.org> 1.42-1mdv2009.1
+ Revision: 319021
- update to new version 1.42

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Nov 17 2008 Adam Williamson <awilliamson@mandriva.org> 1.40-1mdv2009.1
+ Revision: 304023
- buildrequires intltool, apparently
- drop fix-memleak.patch (merged upstream, and was wrongly done in any case)
- new release 1.40

* Fri Oct 17 2008 Adam Williamson <awilliamson@mandriva.org> 1.34-1mdv2009.1
+ Revision: 294801
- new release 1.34

* Thu Sep 25 2008 Frederik Himpe <fhimpe@mandriva.org> 1.33-2mdv2009.0
+ Revision: 288214
- Add upstream patch fixing huge memory leak, from Debian:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=499828

* Fri Aug 22 2008 Frederik Himpe <fhimpe@mandriva.org> 1.33-1mdv2009.0
+ Revision: 275208
- Update to version 1.33, remove patch integrated upstream

* Thu Aug 14 2008 Adam Williamson <awilliamson@mandriva.org> 1.32-2mdv2009.0
+ Revision: 271688
- add open.patch from SVN: fixes a problem with opening torrents from Firefox
- streamline spec svn conditionals

* Wed Aug 13 2008 Adam Williamson <awilliamson@mandriva.org> 1.32-1mdv2009.0
+ Revision: 271546
- new release 1.32

* Thu Aug 07 2008 Funda Wang <fwang@mandriva.org> 1.31-1mdv2009.0
+ Revision: 265679
- New version 1.31
- drop libevent BR, it ships its own libevent

* Sun Jun 15 2008 Funda Wang <fwang@mandriva.org> 1.22-1mdv2009.0
+ Revision: 219299
- New version 1.22

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 25 2008 Funda Wang <fwang@mandriva.org> 1.21-1mdv2009.0
+ Revision: 211118
- update to new version 1.21

* Sun May 11 2008 Adam Williamson <awilliamson@mandriva.org> 1.20-1mdv2009.0
+ Revision: 205560
- buildrequires libcurl-devel
- new release 1.20

* Mon Apr 14 2008 Adam Williamson <awilliamson@mandriva.org> 1.11-1mdv2009.0
+ Revision: 193040
- new release 1.11

* Thu Feb 28 2008 Adam Williamson <awilliamson@mandriva.org> 1.06-1mdv2008.1
+ Revision: 175965
- new release 1.06

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 1.05-1mdv2008.1
+ Revision: 164575
- New version 1.05

* Sat Feb 02 2008 Funda Wang <fwang@mandriva.org> 1.04-1mdv2008.1
+ Revision: 161322
- New version 1.04

* Wed Jan 30 2008 Funda Wang <fwang@mandriva.org> 1.03-1mdv2008.1
+ Revision: 160266
- New version 1.03

* Tue Jan 15 2008 Adam Williamson <awilliamson@mandriva.org> 1.01-1mdv2008.1
+ Revision: 153443
- new release 1.01

* Fri Jan 11 2008 Adam Williamson <awilliamson@mandriva.org> 1.00-1mdv2008.1
+ Revision: 148799
- new release 1.00
- restore buildroot for backport

* Thu Dec 20 2007 Adam Williamson <awilliamson@mandriva.org> 0.96-1mdv2008.1
+ Revision: 135386
- minor spec clean
- new release 0.96

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Adam Williamson <awilliamson@mandriva.org> 0.95-1mdv2008.1
+ Revision: 115739
- new release 0.95

* Tue Nov 27 2007 Adam Williamson <awilliamson@mandriva.org> 0.94-1mdv2008.1
+ Revision: 113533
- new release 0.94

* Sun Nov 18 2007 Adam Williamson <awilliamson@mandriva.org> 0.93-1mdv2008.1
+ Revision: 109771
- new release 0.93

* Sat Nov 10 2007 Adam Williamson <awilliamson@mandriva.org> 0.92-1mdv2008.1
+ Revision: 107449
- new release 0.92

* Mon Nov 05 2007 Adam Williamson <awilliamson@mandriva.org> 0.91-2mdv2008.1
+ Revision: 106208
- rebuild for lzma permissions issue (#35309)

* Tue Oct 30 2007 Adam Williamson <awilliamson@mandriva.org> 0.91-1mdv2008.1
+ Revision: 103906
- package man pages
- new release 0.91

* Thu Oct 25 2007 Adam Williamson <awilliamson@mandriva.org> 0.90-1mdv2008.1
+ Revision: 102010
- drop man dir fix patch, no longer needed
- drop a couple of workarounds no longer needed due to upstream changes
- adjust file list
- new release 0.90

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.org> 0.82-1mdv2008.0
+ Revision: 91270
- new release 0.82 (important bug fixes)
- spec clean

* Wed Aug 29 2007 Adam Williamson <awilliamson@mandriva.org> 0.81-1mdv2008.0
+ Revision: 73312
- add some new translations to the file list
- use %%setup -c because this version's tarball is broken
- new release 0.81

* Sun Aug 12 2007 Adam Williamson <awilliamson@mandriva.org> 0.80-3mdv2008.0
+ Revision: 62338
- correct icon name in .desktop file

* Sun Aug 12 2007 Adam Williamson <awilliamson@mandriva.org> 0.80-2mdv2008.0
+ Revision: 62303
- update file list
- drop old icons and some unneeded fd.o resolutions
- buildrequires libevent-devel (for daemon)
- update license (some files are now GPL)
- new release 0.80

* Thu Aug 09 2007 Funda Wang <fwang@mandriva.org> 0.72-2mdv2008.0
+ Revision: 60902
- Use applications' own desktop file

* Mon Apr 30 2007 Adam Williamson <awilliamson@mandriva.org> 0.72-1mdv2008.0
+ Revision: 19704
- 0.72, use upstream versioning and archive naming

* Fri Apr 20 2007 Adam Williamson <awilliamson@mandriva.org> 0.7.0-1mdv2008.0
+ Revision: 16357
- 0.7.0 final

* Tue Apr 17 2007 Adam Williamson <awilliamson@mandriva.org> 0.7.0-0.1733.1mdv2008.0
+ Revision: 13861
- new snapshot 1733
- add patch from trac to handle malformed bencoded responses


* Sat Apr 07 2007 Adam Williamson <awilliamson@mandriva.com> 0.7.0-0.1675.1mdv2007.1
+ Revision: 150888
- SVN snapshot
- Drop all patches but manpage location fix (merged)
- Handle l10n files correctly
- generate full icon set
- Import transmission

